from typing import Any, List

import dream3d.simpl

class FindTriangleGeomCentroids(dream3d.simpl.AbstractFilter):
    CentroidsArrayName: str
    FaceLabelsArrayPath: dream3d.simpl.DataArrayPath
    FeatureAttributeMatrixName: dream3d.simpl.DataArrayPath
    def __init__(self) -> None: ...
    def New(self, *args, **kwargs) -> Any: ...

class FindTriangleGeomNeighbors(dream3d.simpl.AbstractFilter):
    FaceLabelsArrayPath: dream3d.simpl.DataArrayPath
    FeatureAttributeMatrixPath: dream3d.simpl.DataArrayPath
    NeighborListArrayName: str
    NumNeighborsArrayName: str
    def __init__(self) -> None: ...
    def New(self, *args, **kwargs) -> Any: ...

class FindTriangleGeomShapes(dream3d.simpl.AbstractFilter):
    AspectRatiosArrayName: str
    AxisEulerAnglesArrayName: str
    AxisLengthsArrayName: str
    CentroidsArrayPath: dream3d.simpl.DataArrayPath
    FaceLabelsArrayPath: dream3d.simpl.DataArrayPath
    FeatureAttributeMatrixName: dream3d.simpl.DataArrayPath
    Omega3sArrayName: str
    VolumesArrayPath: dream3d.simpl.DataArrayPath
    def __init__(self) -> None: ...
    def New(self, *args, **kwargs) -> Any: ...

class FindTriangleGeomSizes(dream3d.simpl.AbstractFilter):
    FaceLabelsArrayPath: dream3d.simpl.DataArrayPath
    FeatureAttributeMatrixName: dream3d.simpl.DataArrayPath
    VolumesArrayName: str
    def __init__(self) -> None: ...
    def New(self, *args, **kwargs) -> Any: ...

class GenerateGeometryConnectivity(dream3d.simpl.AbstractFilter):
    GenerateTriangleNeighbors: bool
    GenerateVertexTriangleLists: bool
    SurfaceDataContainerName: dream3d.simpl.DataArrayPath
    def __init__(self) -> None: ...
    def New(self, *args, **kwargs) -> Any: ...

class LaplacianSmoothing(dream3d.simpl.AbstractFilter):
    IterationSteps: int
    Lambda: float
    MuFactor: float
    QuadPointLambda: float
    SurfaceDataContainerName: dream3d.simpl.DataArrayPath
    SurfaceMeshFaceLabelsArrayPath: dream3d.simpl.DataArrayPath
    SurfaceMeshNodeTypeArrayPath: dream3d.simpl.DataArrayPath
    SurfacePointLambda: float
    SurfaceQuadPointLambda: float
    SurfaceTripleLineLambda: float
    TripleLineLambda: float
    UseTaubinSmoothing: bool
    def __init__(self) -> None: ...
    def New(self, *args, **kwargs) -> Any: ...

class QuickSurfaceMesh(dream3d.simpl.AbstractFilter):
    FaceAttributeMatrixName: str
    FaceLabelsArrayName: str
    FeatureAttributeMatrixName: str
    FeatureIdsArrayPath: dream3d.simpl.DataArrayPath
    FixProblemVoxels: bool
    NodeTypesArrayName: str
    SelectedDataArrayPaths: List[dream3d.simpl.DataArrayPath]
    SurfaceDataContainerName: dream3d.simpl.DataArrayPath
    VertexAttributeMatrixName: str
    def __init__(self) -> None: ...
    def New(self, *args, **kwargs) -> Any: ...

class ReverseTriangleWinding(dream3d.simpl.AbstractFilter):
    SurfaceDataContainerName: dream3d.simpl.DataArrayPath
    def __init__(self) -> None: ...
    def New(self, *args, **kwargs) -> Any: ...

class SharedFeatureFaceFilter(dream3d.simpl.AbstractFilter):
    FaceFeatureAttributeMatrixName: str
    SurfaceMeshFaceLabelsArrayPath: dream3d.simpl.DataArrayPath
    SurfaceMeshFeatureFaceIdsArrayName: str
    SurfaceMeshFeatureFaceLabelsArrayName: str
    SurfaceMeshFeatureFaceNumTrianglesArrayName: str
    def __init__(self) -> None: ...
    def New(self, *args, **kwargs) -> Any: ...

class TriangleAreaFilter(dream3d.simpl.AbstractFilter):
    SurfaceMeshTriangleAreasArrayPath: dream3d.simpl.DataArrayPath
    def __init__(self) -> None: ...
    def New(self, *args, **kwargs) -> Any: ...

class TriangleCentroidFilter(dream3d.simpl.AbstractFilter):
    SurfaceMeshTriangleCentroidsArrayPath: dream3d.simpl.DataArrayPath
    def __init__(self) -> None: ...
    def New(self, *args, **kwargs) -> Any: ...

class TriangleDihedralAngleFilter(dream3d.simpl.AbstractFilter):
    SurfaceMeshTriangleDihedralAnglesArrayPath: dream3d.simpl.DataArrayPath
    def __init__(self) -> None: ...
    def New(self, *args, **kwargs) -> Any: ...

class TriangleNormalFilter(dream3d.simpl.AbstractFilter):
    SurfaceMeshTriangleNormalsArrayPath: dream3d.simpl.DataArrayPath
    def __init__(self) -> None: ...
    def New(self, *args, **kwargs) -> Any: ...
